FILESOVERLAY_DIR = "filesoverlay"
# Use FILESOVERLAY_DIR instead of SUBIDR_DIR. SUBDIR_DIR has problems with devtool
# and therefore is deprecated!
SUBDIR_DIR = "git"
S = "${WORKDIR}/git"

# add patches
SRC_URI_append += "\
		file://0100-Add-config-option-for-housing-env-var.patch \
		file://0001-fix-missing-eth-phy-clocks.patch \
		file://0001-add-NOR-flash-mx25v8035-and-mx25r1635f.patch \
		file://0002-extend-extlinux-for-multiple-boards.patch \
		file://0001-added-t1000-Kconfig.patch \
		file://0004-set-ethxaddr-in-device-tree-node-with-alias-ethernet.patch \
		file://0005-add-video_splash-function.patch \
        file://0009-changed-clock-layout-which-was-corrected-in-r2.1.patch \
		file://0001-qspi-nand-support-added-stm32_qpsi-driver-changes-to.patch \
		file://0002-stm32_qspi-to-previous-working-mtd-compatible-versio.patch \
		file://0001-Fix-timeout-overflow-issue-of-the-stm32mp-watchdog-d.patch \
	    "

#		file://0001-Fix-timeout-overflow-issue-of-the-stm32mp-watchdog-d.patch \
#
#

# add board sourcecode
SRC_URI_append += "\
    file://board/kontron/stm32mp1-t1000/board.c;subdir=${FILESOVERLAY_DIR} \
    file://board/kontron/stm32mp1-t1000/Makefile;subdir=${FILESOVERLAY_DIR} \
    file://board/kontron/stm32mp1-t1000/README;subdir=${FILESOVERLAY_DIR} \
    file://board/kontron/stm32mp1-t1000/spl.c;subdir=${FILESOVERLAY_DIR} \
    file://board/kontron/stm32mp1-t1000/stm32mp1-t1000.c;subdir=${FILESOVERLAY_DIR} \
    file://board/kontron/stm32mp1-t1000/cmd_stboard.c;subdir=${FILESOVERLAY_DIR} \
    file://board/kontron/stm32mp1-t1000/extlinux.conf;subdir=${FILESOVERLAY_DIR} \
    file://board/kontron/stm32mp1-t1000/fit_copro_kernel_dtb.its;subdir=${FILESOVERLAY_DIR} \
    file://board/kontron/stm32mp1-t1000/fit_kernel_dtb.its;subdir=${FILESOVERLAY_DIR} \
    file://include/configs/stm32mp1-t1000.h;subdir=${FILESOVERLAY_DIR} \
    "

# add devicetree configuration for stm32mp1-t1000 and som
SRC_URI_append += "\
    file://arch/arm/dts/stm32mp157c-t1000-ddr3-1x4Gb-1066-binG.h;subdir=${FILESOVERLAY_DIR} \
    \
    file://configs/stm32mp1-t1000_defconfig;subdir=${FILESOVERLAY_DIR} \
    file://configs/stm32mp1-t1000-sdcard_defconfig;subdir=${FILESOVERLAY_DIR} \
    file://configs/stm32mp15_basic_calibration_defconfig;subdir=${FILESOVERLAY_DIR} \
    file://configs/stm32mp1-t1000-evk50_defconfig;subdir=${FILESOVERLAY_DIR} \
    file://configs/stm32mp1-t1000-evk50sdcard_defconfig;subdir=${FILESOVERLAY_DIR} \
    \
    file://arch/arm/dts/stm32mp15-mx.h;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-board-minimal.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-board-minimal-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    "

# add som t1000
SRC_URI_append += "\
    file://arch/arm/dts/stm32mp157c-t1000-som-minimal-mx.dts;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp157c-t1000-som-minimal-mx-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-som-t1000-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-som-t1000.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1000-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1000.dts;subdir=${FILESOVERLAY_DIR} \
	"

# add som t1001
SRC_URI_append += "\
    file://arch/arm/dts/stm32mp157c-t1001-som-minimal-mx.dts;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp157c-t1001-som-minimal-mx-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-som-t1001-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-som-t1001.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1001-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1001.dts;subdir=${FILESOVERLAY_DIR} \
	"

# add som t1004
SRC_URI_append += "\
    file://arch/arm/dts/stm32mp-t1004-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1004.dts;subdir=${FILESOVERLAY_DIR} \
	"

# add som t1005
SRC_URI_append += "\
    file://arch/arm/dts/stm32mp-t1005-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1005.dts;subdir=${FILESOVERLAY_DIR} \
	"

# add board s
SRC_URI_append += "\
    file://arch/arm/dts/stm32mp157c-t1000-s-mx.dts;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp157c-t1000-s-mx-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-board-s.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-board-s-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1000-s.dts;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1000-s-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1000-s-clkout32k.dts;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1000-s-clkout32k-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    "

# add board k
SRC_URI_append += "\
    file://arch/arm/dts/stm32mp157c-t1000-k-mx.dts;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp157c-t1000-k-mx-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-board-k.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-board-k-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1000-k.dts;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1000-k-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    "

# add board testadapter
SRC_URI_append += "\
    file://configs/stm32mp1-t1000-production_defconfig;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1000-testadapter.dts;subdir=${FILESOVERLAY_DIR} \
    file://arch/arm/dts/stm32mp-t1000-testadapter-u-boot.dtsi;subdir=${FILESOVERLAY_DIR} \
    "

do_buildenv[nostamp]="1"
do_buildenv() {
	{
		echo "if test -z \${DEFCONFIG}; then"
		echo "    export DEFCONFIG"
		echo "    echo \"ERROR: Set DEFCONFIG in your environment and source again!\""
		echo "    echo \"Currently available configs:\""
		echo "    for config in \$(ls -1d \${B}/*_defconfig); do"
		echo "        echo -n \"    export DEFCONFIG=\""
		echo "        basename \$config"
		echo "    done"
		echo "    unalias makey"
		echo "else"
		echo "    export CROSS_COMPILE=\$(echo ${CC} | sed -n \"s/gcc .*//p\")"
		echo "    export MF=\"-j6 ARCH=arm CROSS_COMPILE=\${CROSS_COMPILE} O=${B}/\${DEFCONFIG} \""
		echo "    export S=${S}"
		echo "    export O=${B}/\${DEFCONFIG}"
		echo "    export D=${D}"
		echo "    alias makey=\"make \${MF}\""
		echo "    echo Output directory O=${B}/\${DEFCONFIG}"
		echo "    echo Makeflags MF=\${MF}"
		echo "    echo CROSS_COMPILE=\${CROSS_COMPILE}"
		echo "fi"

	} > ${S}/recipe.env
}

addtask buildenv after do_configure before do_devshell

do_unpack_append() {
# unpack is a python function
    overlays_dir=os.path.join(d.getVar("WORKDIR"), d.getVar("FILESOVERLAY_DIR"))
    bb.note("copy files from {} to {}".format(overlays_dir, d.getVar("S")))
    os.system("cp -r {}/* {}".format(overlays_dir, d.getVar("S")))
}
